Update Integration Details

Updates integration configuration parameters such as integration name, container name, and connection string.

PUT /partner-integration/product-id/integration

Where product-id is the product ID obtained after created a CSAM product.

Input ParametersInput Parameters

Fields Mandatory Data Type Description
*bucketName={value} Optional (if accessPointArn is provided) String Provide the name of the AWS S3 bucket being used for integration.
bucketRegion={value} Mandatory String Provide the region where the AWS S3 bucket is located.
roleArn={value} Mandatory String Specify the ARN of the cross-account role which you created in your AWS account.
integrationType={value} Mandatory String Specify the type of integration. Provide the value “aws_s3”.
*accessPointArn={value} Optional (if bucketname is provided) String Provide the AWS S3 accessPointArn being used for integration

SampleSample

API Request

curl -X PUT '<qualys_gateway_url>/partner-integration/{product-id}/integration' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer  ' \

Request Body

{
            "integrationType": " ",
            "bucketName": " ",
            "bucketRegion": " ", 
            "roleArn":  ,
            "accessPointArn":  
            "externalId" :
}	  
	  

Response

{
   "message":"Updated integration config data."
}